Does Luma Updater work with emunand/sysnand?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Klip, Nov 1, 2016.

  1. Klip
    OP

    Klip Member

    Newcomer
    12
    0
    Oct 19, 2016
    United States
    So I figured I'd add Lumaupdater (from https://github.com/Hamcha/lumaupdate/releases) just to simplify the process by not having to take out my SD each time I need to update Luma...however my 3DS currently does not use A9LH, still in the older emunand/sysnand as I used to have Rxtools till about a month ago and then switched to Luma.

    To the point: if I install the lumaupdater .cia on my emunand (running Luma) will it properly update my CFW? or is lumaupdater only designed to be used with a a9lh set up? the last thing I want is the updater itself to improperly install the files and mess things up. Does it work with emunand just fine? anyone use it ?
     
  2. Sora Takihawa

    Sora Takihawa Keyblade Warrior

    Member
    1,433
    208
    Oct 11, 2015
    Germany
    Realm of Darkness
    i am not sure but starupdater have an option to switch between a9lh and non a9lh
     
  3. hyprskllz

    hyprskllz Gashatto!!

    Member
    543
    174
    Apr 19, 2016
    Indonesia
    Auldrant
  4. Klip
    OP

    Klip Member

    Newcomer
    12
    0
    Oct 19, 2016
    United States
    I have a bit of a problem with that. It says in the file to do set "payload path = /path/to/Luma3DS.dat" depending on where that file is. Well I actually don't have that file at all? I have boot.3dsx and the arm9loaderhax.bin files in the root only, never had a problem with Luma so I'm not sure why this file is not there ?
     
  5. squee666

    squee666 Advanced Tech Pleb

    Member
    1,591
    896
    Sep 17, 2010
    Belfast
    just use star updater
     
  6. Klip
    OP

    Klip Member

    Newcomer
    12
    0
    Oct 19, 2016
    United States
    I thought star updater was not working any longer with the latest versions of Luma? says on the github: "NOTE: This is discontinued and will not work with Luma3DS 6.1.3 or newer for menuhax. It should still work for arm9loaderhax, but no promises."
     
  7. hyprskllz

    hyprskllz Gashatto!!

    Member
    543
    174
    Apr 19, 2016
    Indonesia
    Auldrant
    Luma3DS doesn't use the dat anymore, only browserhax users need it.
    The menuhax users only need arm9loaderhax.bin and boot.3dsx for menuhax.
     
  8. Altairseven

    Altairseven GBAtemp Regular

    Member
    124
    29
    Jan 21, 2016
    Argentina
    ^What he said, since luma just uses the arm9loaderhax.bin to boot, regular luma updater would work perfectly sinces it just updates that.

    That beeing said, it used to have an option so it would update the old .dat as well, but needed a config file to do so, but whateves.. its ancient history now.
     
  9. Klip
    OP

    Klip Member

    Newcomer
    12
    0
    Oct 19, 2016
    United States
    So just install the cia with FBI as per normal on emunand and just run it as is, then? easy peasy, thanks dudes
     
  10. Altairseven

    Altairseven GBAtemp Regular

    Member
    124
    29
    Jan 21, 2016
    Argentina
    yep, just as easy as that.
     
  11. Sora Takihawa

    Sora Takihawa Keyblade Warrior

    Member
    1,433
    208
    Oct 11, 2015
    Germany
    Realm of Darkness
    Use Starupdater-UN its The New version